<?php
  // vytváříme zkrácené názvy proměnných
  $document_root = $_SERVER['DOCUMENT_ROOT'];
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>Bobovy autodíly – Výsledek objednávky</title>
  </head>
  <body>
    <h1>Bobovy autodíly</h1>
    <h2>Objednávky zákazníků</h2>
    <?php
      @$fp = fopen("$document_root/../orders/orders.txt", 'rb');
      flock($fp, LOCK_SH); // uzamkneme soubor pro čtení

      if (!$fp) {
        echo "<p><strong>Žádné nevyřízené objednávky.<br />
             Zkuste to prosím později.</strong></p>";
        exit;
      }

      while (!feof($fp)) {
        $order = fgets($fp);
        echo htmlspecialchars($order)."<br />";
      }

      flock($fp, LOCK_UN); // uvolníme zámek čtení
      fclose($fp);
    ?>
  </body>
</html>
